NonBatchingBatch (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.batch.internal
Class NonBatchingBatch

    java.lang.Object
      org.hibernate.engine.jdbc.batch.internal.AbstractBatchImpl
          org.hibernate.engine.jdbc.batch.internal.NonBatchingBatch

All Implemented Interfaces:
  Batch

    public class NonBatchingBatch

extends AbstractBatchImpl

An implementation of `Batch` which does not perform batching. It simply executes each statement as it is encountered.

Constructor Summary
`protected` | `NonBatchingBatch(BatchKey key, JdbcCoordinator jdbcCoordinator)`

Method Summary
`void` | `addToBatch()` Indicates completion of the current part of the batch.
`protected void` | `doExecuteBatch()` Perform batch execution.

Methods inherited from class org.hibernate.engine.jdbc.batch.internal.AbstractBatchImpl
`addObserver, execute, getBatchStatement, getKey, getStatements, notifyObserversExplicitExecution, notifyObserversImplicitExecution, release, sqlExceptionHelper, sqlStatementLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonBatchingBatch

    protected NonBatchingBatch(BatchKey key,
                               JdbcCoordinator jdbcCoordinator)

Method Detail

### addToBatch

    public void addToBatch()

  Description copied from interface: `Batch`
  Indicates completion of the current part of the batch.

### doExecuteBatch

    protected void doExecuteBatch()

  Description copied from class: `AbstractBatchImpl`
  Perform batch execution.

  This is called from the explicit `execution`, but may also be called from elsewhere depending on the exact implementation.

  Specified by:
    `doExecuteBatch` in class `AbstractBatchImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.